package org.dromara.payment.merchant.service;

import org.dromara.payment.merchant.domain.PubMerchant;
import org.dromara.payment.merchant.domain.vo.PubMerchantVo;
import org.dromara.payment.merchant.domain.bo.PubMerchantBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 商户申请表Service接口
 *
 * @author LionLi
 * @date 2024-04-03
 */
public interface IPubMerchantService {

    /**
     * 查询商户申请表
     */
    PubMerchantVo queryById(Long id);

    /**
     * 查询商户申请表列表
     */
    TableDataInfo<PubMerchantVo> queryPageList(PubMerchantBo bo, PageQuery pageQuery);

    /**
     * 查询商户申请表列表
     */
    List<PubMerchantVo> queryList(PubMerchantBo bo);

    /**
     * 新增商户申请表
     */
    Boolean insertByBo(PubMerchantBo bo);

    /**
     * 修改商户申请表
     */
    Boolean updateByBo(PubMerchantBo bo);

    /**
     * 校验并批量删除商户申请表信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
